Skip to content
Go to Micro

Get object

client.Prism.Objects.Identities.Get(ctx, identityID, params) (*PrismObjectIdentityGetResponse, error)
GET/v2/prism/{teamId}/identity/{identityId}

Get object

ParametersExpand Collapse
identityID string
formatuuid
params PrismObjectIdentityGetParams
TeamID param.Field[string]Optional

Path param

formatuuid
Select param.Field[string]Optional

Query param: Comma-separated property slugs to return. Use dot notation for relationships. id is always returned at the top level. Defaults to all properties.

ReturnsExpand Collapse
type PrismObjectIdentityGetResponse struct{…}

Object returned by reads (get/create/patch/restore). id is always present.

ID string
formatuuid
Default map[string, unknown]Optional

Properties keyed by property slug.

List unknownOptional

Get object

package main

import (
  "context"
  "fmt"

  "github.com/micro-so/micro-sdk-go"
  "github.com/micro-so/micro-sdk-go/option"
)

func main() {
  client := micro.NewClient(
    option.WithAPIKey("My API Key"),
    option.WithTeamID("My Team ID"),
  )
  identity, err := client.Prism.Objects.Identities.Get(
    context.TODO(),
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    micro.PrismObjectIdentityGetParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", identity.ID)
}
{
  "id": "11111111-1111-4111-8111-111111111111",
  "default": {
    "full_name": "Sarah Chen",
    "email": "sarah@example.com",
    "title": "Partner",
    "organization": "Acme Ventures"
  }
}
{
  "id": "22222222-2222-4222-8222-222222222222",
  "default": {
    "name": "Acme Ventures",
    "domain": "example.com",
    "industry": "Venture Capital"
  }
}
{
  "id": "33333333-3333-4333-8333-333333333333",
  "default": {
    "name": "Acme Ventures — Series A",
    "amount": 2500000,
    "stage": "negotiation",
    "organization": "Acme Ventures"
  }
}
{
  "id": "44444444-4444-4444-8444-444444444444",
  "default": {
    "name": "Follow up with Sarah Chen",
    "status": "open",
    "due_date": "2026-08-06",
    "contact": "Sarah Chen"
  }
}
{
  "id": "55555555-5555-4555-8555-555555555555",
  "default": {
    "name": "Acme Ventures — Series A notes",
    "content": "Sarah Chen is coordinating diligence for the Series A.",
    "organization": "Acme Ventures"
  }
}
Returns Examples
{
  "id": "11111111-1111-4111-8111-111111111111",
  "default": {
    "full_name": "Sarah Chen",
    "email": "sarah@example.com",
    "title": "Partner",
    "organization": "Acme Ventures"
  }
}
{
  "id": "22222222-2222-4222-8222-222222222222",
  "default": {
    "name": "Acme Ventures",
    "domain": "example.com",
    "industry": "Venture Capital"
  }
}
{
  "id": "33333333-3333-4333-8333-333333333333",
  "default": {
    "name": "Acme Ventures — Series A",
    "amount": 2500000,
    "stage": "negotiation",
    "organization": "Acme Ventures"
  }
}
{
  "id": "44444444-4444-4444-8444-444444444444",
  "default": {
    "name": "Follow up with Sarah Chen",
    "status": "open",
    "due_date": "2026-08-06",
    "contact": "Sarah Chen"
  }
}
{
  "id": "55555555-5555-4555-8555-555555555555",
  "default": {
    "name": "Acme Ventures — Series A notes",
    "content": "Sarah Chen is coordinating diligence for the Series A.",
    "organization": "Acme Ventures"
  }
}